Subject: Re: [PATCH v5 00/10] fetch --recurse-submodules: fetch unpopulated submodules

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Mar 2022 15:06:12 -0700

Glen Choo <[email-masked]> writes:

> Glen Choo <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>> Glen Choo <[email-masked]> writes:
>>>
>>>> To clarify, does this opinion of "don't use config values that aren't
>>>> copied into .git/config" extend to in-tree .gitmodules? Prior to this
>>>> series, we always read the in-tree .gitmodules to get the config - the
>>>> user does not need to copy the settings to .git/config, but we don't
>>>> pick a commit to read .gitmodules from.
>>>
>>> I think we do, but I also think it was a huge mistake to allow
>>> repository data to directly affect the behaviour of local checkout.
>>
>> I'm inclined to agree.
>>
>>> Fixing that is most likely outside the scope of this series, though.
>>
>> Agree. Thanks!
>
> I thought that this would have been the end of the discussion, but after
> reading <[email-masked]>, I guess I had the wrong impression
> (oops).
>
> If I am reading everything correctly, we both agree that it's not
> good to read _any_ config values from .gitmodules (even if it's
> in-tree), and that we should clean it up outside of this topic. So for
> this topic to be merged into 'next', is it enough to say that I will fix
> this behavior in a follow up topic?

At least we should remember that is something to be fixed.  It may
not be you personally who addresses that issue, though ;-)